printer_draw_chord
printer_draw_line
Printer Functions
PHP Manual

# printer_draw_elipse

Draw an ellipse

### Description

void printer_draw_elipse ( resource `$printer_handle` , int `$ul_x` , int `$ul_y` , int `$lr_x` , int `$lr_y` )

The function draws an ellipse.

### Parameters

`printer_handle`

  `printer_handle` must be a valid printer handle.

`ul_x`

  `ul_x` is the upper left x coordinate of the ellipse.

`ul_y`

  `ul_y` is the upper left y coordinate of the ellipse.

`lr_x`

  `lr_x` is the lower right x coordinate of the ellipse.

`lr_y`

  `lr_y` is the lower right y coordinate of the ellipse.

### Return Values

No value is returned.

### Examples

Example #1 printer_draw_elipse example

`<?php
$handle = printer_open();
printer_start_doc($handle, "My Document");
printer_start_page($handle);
$pen = printer_create_pen(PRINTER_PEN_SOLID, 2, "000000");
printer_select_pen($handle, $pen);
$brush = printer_create_brush(PRINTER_BRUSH_SOLID, "2222FF");
printer_select_brush($handle, $brush);
printer_draw_elipse($handle, 1, 1, 500, 500);
printer_delete_brush($brush);
printer_delete_pen($pen);
printer_end_page($handle);
printer_end_doc($handle);
printer_close($handle);
?>`